using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Request.SystemLabel;
using GxPress.Result.SystemLabel;

namespace GxPress.Repository.Interface.SystemLabel
{
    public interface ISystemLabelRepository : IRepository
    {
        Task<Entity.SystemLabel.SystemLabel> GetAsync(int id);

        Task<bool> DeleteAsync(int id);

        Task<int> InsertAsync(Entity.SystemLabel.SystemLabel note);

        Task<bool> UpdateAsync(SystemLabelUpRequest note);
        Task<IEnumerable<SystemLabelResult>> GetAllAsync();
        Task<IEnumerable<Entity.SystemLabel.SystemLabel>> GetAllAsync(List<int> ids);

    }
}